package objects;

import java.util.HashMap;
import java.util.Map;

public class SoccerMatchCalcBestValue extends SoccerMatch {

    private Map<Integer, Integer> homeWins = new HashMap<Integer, Integer>();
    private Map<Integer, Integer> homeDraws = new HashMap<Integer, Integer>();
    private Map<Integer, Integer> homeLosses = new HashMap<Integer, Integer>();
    private Map<Integer, Integer> awayWins = new HashMap<Integer, Integer>();
    private Map<Integer, Integer> awayDraws = new HashMap<Integer, Integer>();
    private Map<Integer, Integer> awayLosses = new HashMap<Integer, Integer>();

    public void setHomeWins(int lookback, int value) {
        homeWins.put(lookback, value);
    }
    public void setHomeDraws(int lookback, int value) {
        homeDraws.put(lookback, value);
    }
    public void setHomeLosses(int lookback, int value) {
        homeLosses.put(lookback, value);
    }

    public int getHomeWins(int lookback) {
        return homeWins.getOrDefault(lookback, -1);
    }
    public int getHomeDraws(int lookback) {
        return homeDraws.getOrDefault(lookback, -1);
    }
    public int getHomeLosses(int lookback) {
        return homeLosses.getOrDefault(lookback, -1);
    }

    public void setAwayWins(int lookback, int value) {
        awayWins.put(lookback, value);
    }
    public void setAwayDraws(int lookback, int value) {
        awayDraws.put(lookback, value);
    }
    public void setAwayLosses(int lookback, int value) {
        awayLosses.put(lookback, value);
    }

    public int getAwayWins(int lookback) {
        return awayWins.getOrDefault(lookback, -1);
    }
    public int getAwayDraws(int lookback) {
        return awayDraws.getOrDefault(lookback, -1);
    }
    public int getAwayLosses(int lookback) {
        return awayLosses.getOrDefault(lookback, -1);
    }

}
